org.apache.poi.hssf.util

## Class CellRangeAddress8Bit

- java.lang.Object
- - org.apache.poi.ss.util.CellRangeAddressBase
  - - org.apache.poi.hssf.util.CellRangeAddress8Bit

- All Implemented Interfaces:
    java.lang.Iterable<CellAddress>, Duplicatable

      public final class CellRangeAddress8Bit
      extends CellRangeAddressBase

  See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range Address'

  Implements a CellRangeAddress with 8-but column fields.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ss.util.CellRangeAddressBase

      `CellRangeAddressBase.CellPosition`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ENCODED_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellRangeAddress8Bit(int firstRow, int lastRow, int firstCol, int lastCol)`
    `CellRangeAddress8Bit(LittleEndianInput in)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CellRangeAddress8Bit` | `copy()`
    `static int` | `getEncodedSize(int numberOfItems)`
    `void` | `serialize(LittleEndianOutput out)`

    - ### Methods inherited from class org.apache.poi.ss.util.CellRangeAddressBase

      `containsColumn, containsRow, equals, getFirstColumn, getFirstRow, getLastColumn, getLastRow, getMaxColumn, getMaxRow, getMinColumn, getMinRow, getNumberOfCells, getPosition, hashCode, intersects, isFullColumnRange, isFullRowRange, isInRange, isInRange, isInRange, isInRange, iterator, setFirstColumn, setFirstRow, setLastColumn, setLastRow, toString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### ENCODED_SIZE

          public static final int ENCODED_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CellRangeAddress8Bit

          public CellRangeAddress8Bit(int firstRow,
                                      int lastRow,
                                      int firstCol,
                                      int lastCol)

    - #### CellRangeAddress8Bit

          public CellRangeAddress8Bit(LittleEndianInput in)

  - ### Method Detail

    - #### serialize

          public void serialize(LittleEndianOutput out)

    - #### copy

          public CellRangeAddress8Bit copy()

      Returns:
        a deep copy of the implementing class / instance

    - #### getEncodedSize

          public static int getEncodedSize(int numberOfItems)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.